=== debian/changelog ===
mailleds (0.93-14) unstable; urgency=low

  [ tony mancill ]
  * QA upload.
  * debian/control
    - (Maintainer): Set to QA address
  * debian/source/format
    - Set to "3.0 (quilt)"
  * Add lintian overrides file for SUID warning.

  [ Jari Aalto ]
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Change x-dev to x11proto-core-dev
      (serious; Closes: #515465). Update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Update layout.
  * debian/rules
    - (binary-arch): Install HISTORY.
    - (clean): Fix lintian debian-rules-ignores-make-clean-error.
    - (install): Change dh_clean to dh_prep.

 -- tony mancill <tmancill@debian.org>  Fri, 07 May 2010 20:21:34 -0700

mailleds (0.93-13) unstable; urgency=low

  * There was a NMU in the meantime; keeping the record
  * Fixing depencies mistake

 -- Dennis Stampfer <seppy@debian.org>  Fri, 20 Jan 2006 21:10:58 +0100

mailleds (0.93-12) unstable; urgency=low

  * Depends now on libx11-dev. Closes: #347015
  * Preventing segfault in -k Closes: #309536
  * Using the NMU-Changes. Closes: #329365

 -- Dennis Stampfer <seppy@debian.org>  Fri, 20 Jan 2006 19:18:36 +0100

mailleds (0.93-11.2) unstable; urgency=low

  * Non-maintainer upload
  * Split xlibs-dev build-dep. (Closes: #347015)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 19:41:46 +0100

mailleds (0.93-11.1) unstable; urgency=low

  * NMU
  * Patch from Max Vozeler to fix exploitable pidfile
    umask issue. Closes: #329365

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Oct 2005 17:52:37 -0400

mailleds (0.93-11) unstable; urgency=low

  * xmailleds doesn't die after a while anymore. Closes: #308612
  * Changed "rebuilt by" to "maintained since" in debian/copyright
  * xmailleds installed in /usr/bin instead of /usr/X11R6/bin

 -- Dennis Stampfer <seppy@debian.org>  Fri, 13 May 2005 12:14:20 +0200

mailleds (0.93-10) unstable; urgency=low

  * New Maintainer
  * Improoved description. Closes: #117146, #109443, #125105, #198354
  * .ex files removed. Closes: #117145
  * Some changes to the manpage
  * mailleds works now with X again! Closes: #122755
    Symlink: mailleds -> xmailleds. Closes: #149975
  * Option -k works now with xmailleds or -x again. Closes: #122756
  * Time between flashing the LEDs may now be specified with -i
    Closes: #157787
  * Jasper Spaans' patch for maildir-support applied. Closes: #102028
  * Some lines of Jasper's patch for multiple mailboxes added. Closes: #102030

 -- Dennis Stampfer <seppy@debian.org>  Wed, 25 Aug 2003 18:30:21 +0200

mailleds (0.93-9) unstable; urgency=low

  * add xlib-dev to build-depends Closes: #98472

 -- Michael Bramer <michael@debsupport.de>  Sun, 10 Jun 2001 12:33:57 +0200

mailleds (0.93-8) unstable; urgency=low

  * add debmake to build-depends cloeses. #93715
  * policy-changes:
    - change the copyright file and point to
      /usr/share/common-licenses/GPL
  * Now mailleds has Standards-Version: 3.1.1.0

 -- Michael Bramer <michael@debsupport.de>  Fri, 13 Apr 2001 09:11:57 +0200

mailleds (0.93-7) unstable; urgency=low

  * make a new build with /usr/doc -> /usr/share/doc and
                          /usr/man/ -> /usr/share/man
    closes: #91575, #91208
  * add a patch from Florian Zumbiehl <florz@gmx.de>. With this patch
    mailleds distinguishes between headers and bodys and in the result
    it count the mails the right way. Thanks for the bug and sorry
    about the long time to fix this.
    closes: #82915
  * There is no use of suidmanager, closes: #44076

 -- Michael Bramer <michael@debsupport.de>  Sat,  7 Apr 2001 19:27:06 +0200

mailleds (0.93-6) unstable; urgency=low

  * insert "#include <errno.h>" in pid.c

 -- Michael Bramer <grisu@debian.org>  Sat, 15 Jul 2000 01:05:15 +0200

mailleds (0.93-5) unstable; urgency=low

  * I have remove /usr/bin/xmailleds in this package and change the
    description. /usr/bin/xmailleds don't work. If you have a patch and
    if work /usr/bin/xmailleds with this patch, I make a new upload.

 -- Michael Bramer <grisu@debian.org>  Sat,  2 Oct 1999 00:41:06 +0200

mailleds (0.93-4) unstable; urgency=low

  * change 'chmod 4755' to 'chmod 4755' in rules and make mailleds 
    real suid-root!

 -- Michael Bramer <grisu@debian.org>  Wed, 30 Jun 1999 00:36:04 +0200

mailleds (0.93-3) unstable; urgency=low

  * FIX #30770 (change Makefile and change Architecture: to any in 
    control)

 -- Michael Bramer <grisu@debian.org>  Thu, 17 Dec 1998 20:17:47 +0100

mailleds (0.93-2) unstable; urgency=low

  * add SUID-warning in the description and in a new README.debian
  * insert in the copyright file the new fsf address
  * Switches on the automatic manpage to undocumented
  * change Architecture from any to i386

 -- Michael Bramer <grisu@debian.org>  Wed, 26 Aug 1998 11:27:55 +0200

mailleds (0.93-1) unstable; urgency=low

  * Initial Release.

 -- Michael Bramer <grisu@debian.org>  Thu, 20 Aug 1998 13:23:12 +0200
