=== debian/control ===
Source: mailleds
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.1), libx11-dev, x11proto-core-dev
Standards-Version: 3.8.4

Package: mailleds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Blink the keyboard-LEDs for incoming mail
 NOTE: mailleds is installed SUID root.  If you are in a security-conscious
 environment you should inspect its source code!
 .
 mailleds is a quiet, unobtrusive way to indicate the presence of
 new mail.  It uses a daemon to blink the keyboard LEDs when new
 mail arrives.
