=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
       INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/mailleds.sgml > mailleds.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/mailleds.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mailleds


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	chown root $(CURDIR)/debian/mailleds/usr/bin/mailleds
	chmod u+s $(CURDIR)/debian/mailleds/usr/bin/mailleds
	dh_testdir
	dh_testroot
	dh_installchangelogs HISTORY
	dh_installdocs
#	dh_install
	dh_installman
	dh_link usr/share/man/man1/mailleds.1.gz usr/share/man/man1/xmailleds.1.gz
	dh_link usr/bin/mailleds usr/bin/xmailleds
	dh_strip
	dh_compress
	dh_fixperms --exclude mailleds
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
